#define MAX_LINES 100
#define MAX_FUNCTIONS 100

class Function {
public:
	Function( char* name );
	void addLine( char* line );
	char* getName() { return( name ); }
	void execute( CommandQueue* cq );
private:
	char* name;
	char* lines[MAX_LINES];
	int lineIdx;
};

class FunctionManager {
public:
	FunctionManager();
	void addFunction( Function* f );
	void execute( CommandQueue* cq, char* functionName );
private:
	Function* functions[ MAX_FUNCTIONS ];
	int functionIdx;
};
