#include <stdio.h>
#include <string.h>
#include "VizState.h"

VizState::VizState() {
	state[0] = 0;
	stateLength = 0;
}

void VizState::saveLine( const char* line ) {
	if (( stateLength + strlen( line ) + 1 )  < MAX_STATE_SPACE ) {
		strcat( state, line );
		strcat( state, "\n" );
		stateLength += strlen( line ) + 1;
	}
}

void VizState::saveSession( const char* fileName ) {
	FILE* fp = fopen( fileName, "w" );
	if ( fp != NULL ) {
		fwrite( &state[0], stateLength, 1, fp );
		fclose( fp );
	}
}